# Uses of Interface
com.ocient.util.Row

Packages that use Row
Package
Description
com.ocient.cli.extract
com.ocient.jdbc
com.ocient.util

## Uses of Row in com.ocient.cli.extract

Methods in com.ocient.cli.extract that return Row
Modifier and Type
Method
Description
`Row`
ResultSetExtractor.ExtractTransformer.`transform(Row row)`
Methods in com.ocient.cli.extract with parameters of type Row
Modifier and Type
Method
Description
`Row`
ResultSetExtractor.ExtractTransformer.`transform(Row row)`
`protected static String`
ResultSetExtractor.`unpack(Row row)`

## Uses of Row in com.ocient.jdbc

Methods in com.ocient.jdbc that return Row
Modifier and Type
Method
Description
`static Row`
XGResultSet.`dem()`
Creates a new Row instance containing the specified list of objects.
`static Row`
XGResultSet.`pingResponse()`
Flag issued by the server notifying the client t retry
`Row`
SyncRowCursor.`rowUnsafe()`

## Uses of Row in com.ocient.util

Classes in com.ocient.util that implement Row
Modifier and Type
Class
Description
`class`
`FlattenedRow`
Row that has been flattened to a single `Object`.
Methods in com.ocient.util that return Row
Modifier and Type
Method
Description
`static Row`
Row.`create(List<Object> columnValues)`
`Row`
NullRowTransformer.`transform(Row row)`
`Row`
RowTransformer.`transform(Row row)`
Apply the transformation to the `Row`.
Methods in com.ocient.util that return types with arguments of type Row
Modifier and Type
Method
Description
`List<Row>`
RowBatch.`getRows()`
`CompletionStage<com.ibm.asyncutil.util.Either<com.ibm.asyncutil.iteration.AsyncIterator.End,CompletableFutures.SQLResult<List<Row>>>>`
Iterators.LazyFanInPriorityQueue.`nextStage()`
Methods in com.ocient.util with parameters of type Row
Modifier and Type
Method
Description
`Row`
NullRowTransformer.`transform(Row row)`
`Row`
RowTransformer.`transform(Row row)`
Apply the transformation to the `Row`.
Method parameters in com.ocient.util with type arguments of type Row
Modifier and Type
Method
Description
`static Boolean`
Row.`containsDEM(List<Row> rows)`
Predicate that returns `true` if the list of rows contains a DEM
Constructor parameters in com.ocient.util with type arguments of type Row
Modifier
Constructor
Description
``
`RowBatch(List<Row> seed)`